HashPrintServiceAttributeSet (Java SE 9 & JDK 9 )
Keywords: javax.print.attribute.HashPrintServiceAttributeSet class

Module java.desktop
Package javax.print.attribute

## Class HashPrintServiceAttributeSet

- java.lang.Object
- - javax.print.attribute.HashAttributeSet
  - - javax.print.attribute.HashPrintServiceAttributeSet

- All Implemented Interfaces:
    `Serializable`, `AttributeSet`, `PrintServiceAttributeSet`

      public class HashPrintServiceAttributeSet
      extends HashAttributeSet
      implements PrintServiceAttributeSet, Serializable

  Class HashPrintServiceAttributeSet provides an attribute set which inherits its implementation from class `HashAttributeSet` and enforces the semantic restrictions of interface `PrintServiceAttributeSet`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HashPrintServiceAttributeSet​()` | Construct a new, empty hash print service attribute set.
    `HashPrintServiceAttributeSet​(PrintServiceAttribute attribute)` | Construct a new hash print service attribute set, initially populated with the given value.
    `HashPrintServiceAttributeSet​(PrintServiceAttribute[] attributes)` | Construct a new print service attribute set, initially populated with the values from the given array.
    `HashPrintServiceAttributeSet​(PrintServiceAttributeSet attributes)` | Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `PrintServiceAttribute` interface.

  - ### Method Summary

    - ### Methods inherited from interface javax.print.attribute.AttributeSet

      `clear, containsKey, containsValue, equals, get, hashCode, isEmpty, remove, remove, size, toArray`

    - ### Methods inherited from class javax.print.attribute.HashAttributeSet

      `add, addAll, clear, containsKey, containsValue, equals, get, hashCode, isEmpty, remove, remove, size, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.print.attribute.PrintServiceAttributeSet

      `add, addAll`

- - ### Constructor Detail

    - #### HashPrintServiceAttributeSet

          public HashPrintServiceAttributeSet​()

      Construct a new, empty hash print service attribute set.

    - #### HashPrintServiceAttributeSet

          public HashPrintServiceAttributeSet​(PrintServiceAttribute attribute)

      Construct a new hash print service attribute set, initially populated with the given value.
      Parameters:
        `attribute` - Attribute value to add to the set.
      Throws:
        `NullPointerException` - (unchecked exception) Thrown if `attribute` is null.

    - #### HashPrintServiceAttributeSet

          public HashPrintServiceAttributeSet​(PrintServiceAttribute[] attributes)

      Construct a new print service attribute set, initially populated with the values from the given array. The new attribute set is populated by adding the elements of `attributes` array to the set in sequence, starting at index 0. Thus, later array elements may replace earlier array elements if the array contains duplicate attribute values or attribute categories.
      Parameters:
        `attributes` - Array of attribute values to add to the set. If null, an empty attribute set is constructed.
      Throws:
        `NullPointerException` - (unchecked exception) Thrown if any element of `attributes` is null.

    - #### HashPrintServiceAttributeSet

          public HashPrintServiceAttributeSet​(PrintServiceAttributeSet attributes)

      Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `PrintServiceAttribute` interface.
      Parameters:
        `attributes` - set of attribute values to initialise the set. If null, an empty attribute set is constructed.
      Throws:
        `ClassCastException` - (unchecked exception) Thrown if any element of `attributes` is not an instance of `PrintServiceAttribute`.